<?php
add_theme_pages('json', 'admin');
add_plugin_hook('append_to_item_form_tags', 'tagsuggest_html');

function tagsuggest_html()
{
?>
<script type="text/javascript">
    function getSuggestedTags()
    {
        // Get all textarea content on the page.
        var textareas = document.getElementsByTagName('textarea');
        var formText = '';
        
        for(var i=0; i<textareas.length; i++) {formText += textareas[i].value;}
        
        var image = document.createElement('img');
        
        image.src = "<?php echo img('loader2.gif'); ?>";
        
        new Ajax.Request('<?php echo uri('tagsuggest'); ?>',
        {
            method:'post',
            parameters: {str: formText}, 
            requestHeaders: {Accept: 'application/json'}, 
            onCreate: function(t) {
                $('tagSuggestDiv').appendChild(image);
            },
            onSuccess: function(transport, suggestedTags){
                var tagStr = '';
                $('tagSuggestDiv').innerHTML = '';
                
                $H(suggestedTags).each(function(tag) {    
                    
                    tagStr += '<a href="javascript:void(0);" class="tag" title="' + tag.value + ' instances" onclick="javascript:tagAutoFill(\'' + tag.key + '\')">' + tag.key + '</a> ';
                });
                $('tagSuggestDiv').innerHTML = tagStr;
            },
            onFailure: function(){ alert('Something went wrong...') }
        });
    }
    
    function tagAutoFill(tag)
    {
        $('tags-field').value += ', ' + tag;
    }
    
    function suggestTags() {
        var link = document.createElement('p');
        link.style.backgroundColor = "#DAE9F6";
        link.style.textAlign = "center";
        link.style.cursor = "pointer";
        link.style.color = "#38c";
        link.style.width = "8em";
        link.style.paddingTop = "0.5em";
        link.style.paddingBottom = "0.5em";
        link.innerHTML = "Suggest Tags";
        link.onclick = function() {
            getSuggestedTags();
            return;
        }
        $('tagSuggestDiv').up().appendChild(link);
        $('tagSuggestDiv').style.fontSize = "1.2em";
        $('tagSuggestDiv').style.marginBottom = "0.5em";
        
    }

    Event.observe(window,'load',suggestTags);
</script>
<div id="tagSuggestDiv"></div>

<?php } ?>